(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                  projet Estime, INRIA-Rocquencourt                  *)
(*                                                                     *)
(*  Copyright 2007-2011 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: config.mli,v 1.7.2.1 2011-09-21 13:08:04 fclement Exp $ *)

val get_conf_file : unit -> string option;;
val set_conf_file : string option -> unit;;
val get_timeout : unit -> int;;
val set_timeout : int -> unit;;
val get_slave_port : unit -> int;;
val set_slave_port : int -> unit;;
val get_skl_port : unit -> int;;
val set_skl_port : int -> unit;;
val get_err_length : unit -> int;;
val set_err_length : int -> unit;;
val get_warn_error : unit -> bool;;
val set_warn_error : bool -> unit;;
